List model endpoints
Every endpoint with its health and model count; revoked ones last.
GET
Every endpoint with its health and model count; revoked ones last.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidSuccessful Response
application/json- response
[index: integer]?curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/model-endpoints'Example Response
[ { "active": true, "base_url": "string", "blocked_route_models": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "deny_data_collection": true, "has_credential": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key_fingerprint_prefix": "string", "key_hint": "string", "last_checked_at": "2019-08-24T14:15:22Z", "last_error_code": "string", "last_validated_at": "2019-08-24T14:15:22Z", "model_count": 0, "model_ids": [ "string" ], "models": [ { "cached_input_usd_per_million": "string", "canonical_id": "string", "capabilities": [ "string" ], "context_tokens": 0, "display_name": "string", "first_seen_at": "2019-08-24T14:15:22Z", "input_usd_per_million": "string", "last_seen_at": "2019-08-24T14:15:22Z", "max_output_tokens": 0, "output_usd_per_million": "string", "provider_model_id": "string", "qualification": "baseline", "selectable": true, "state": "listed" } ], "models_refreshed_at": "2019-08-24T14:15:22Z", "name": "string", "provider_account": { "property1": "string", "property2": "string" }, "provider_kind": "anthropic", "region": "string", "revoked_at": "2019-08-24T14:15:22Z", "selectable_model_ids": [ "string" ], "status": "healthy", "status_changed_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }]